Author GeorgeY
Recipients GeorgeY, martin.panter
Date 2016-10-20.04:21:35
SpamBayes Score -1.0
Marked as misclassified Yes
Message-id <1476937295.16.0.161047165256.issue28447@psf.upfronthosting.co.za>
In-reply-to
Content
The socket close accident is not caused by queue or calling handle_sock_error at all, it happened right after select error

After changing the Exception handling of main Thread:
------------------------
            except Exception as err:
                print("error:"+str(err))
                print(sock.getpeername())
                mailbox.put( (("sock_err",sock), 'Server') )
                continue
 
server_sock.close()
========================

I also get the same type of error:

------------------------
Traceback (most recent call last):
  File "C:\Users\user\Desktop\SelectWinServer.py", line 112, in <module>
    data = sock.recv(BUFSIZ)
ConnectionResetError: [WinError 10054] connection forcibly close

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\user\Desktop\SelectWinServer.py", line 123, in <module>
    print(sock.getpeername())
OSError: [WinError 10038] not a socket
========================
History
Date User Action Args
2016-10-20 04:21:35GeorgeYsetrecipients: + GeorgeY, martin.panter
2016-10-20 04:21:35GeorgeYsetmessageid: <1476937295.16.0.161047165256.issue28447@psf.upfronthosting.co.za>
2016-10-20 04:21:35GeorgeYlinkissue28447 messages
2016-10-20 04:21:35GeorgeYcreate